%define kdeprefix /opt/kde
%define version 1.1.1
%define kderelease 1
%define sourcedir stable/1.1.1/distribution/tar/generic/source
%define tag -1.1.1
%define topdirtag -1.1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define compiler egcs
%define rhseries rh5x
%define redhat redhat-release >= 5.1
%define qtrequired  qt >= 1.42 qt-egcs-10x

%define kdename kdegames
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: K Desktop Environment - Games
Version: %{version}
Release: %{kderelease}%{rhseries}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Group: X11/KDE/Games
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: %{qtrequired} %{redhat} kdebase-%{rhseries} 
Packager: KDE Packaging Team <redhat-rpms@kde.org>
Distribution: KDE
Vendor: The KDE Team
Prefix: %{kdeprefix}
%define packages asteroids boardgames cardgames dominogames konquest snakerace sokoban sirtet smiletris
%define  asteroids kasteroids 
%define  boardgames kabalone kblackbox kreversi ksame kmines 
%define  cardgames kpat kpoker 
%define  dominogames kshisen kmahjongg
%define  konquest konquest 
%define  snakerace ksnake
%define  sokoban ksokoban 
%define  sirtet ksirtet
%define  smiletris ksmiletris
%define subdirs %asteroids %boardgames %cardgames %dominogames %konquest %snakerace %sokoban %sirtet %smiletris

%description
Games for the K Desktop Environment. 
Included with this package are: kabalone, kasteroids, kblackbox, kmahjongg,
kmines, konquest, kpat, kpoker, kreversi, ksame, kshisen, ksokoban, ksmiletris,
ksnake, ksirtet.

%package asteroids
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - kasteroids
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
Requires: kdesupport-qwspritefield 
%description asteroids
This is the arcade game "Asteroids" from the "kdegames" collection of KDE 
applications.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package boardgames
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - various boardgames
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
%description boardgames
This is a selection of boardgames from the "kdegames" collection of KDE 
applications:.
--kabalone The board game "Abalone" 
--kblackbox ("Black Box")
--kreversi ("Reversi")
--ksame ("Same Game")
--kmine ("Minesweeper")

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package cardgames
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - kpat, kpoker
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
%description cardgames
This is a selection of card games from the "kdegames" collection of 
KDE applications:
--kpat, The classical patience game
--kpoker, The poker game

%package dominogames
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - kmahjongg, kshisen 
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
%description dominogames
This is a selection of domino-type games from the "kdegames" collection of 
KDE applications:
--kmahjongg, played with Chinese domino tiles
--kshisen, Shisen-so, played with Mahjongg tiles.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package konquest
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - konquest
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
%description konquest
This is  the game "konquest" from the "kdegames" collection of KDE 
applications. It is the KDE version of the game "GNU-lactic Konquest".

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package snakerace
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - ksnake
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
%description snakerace
This is  the game "Snake Race" from the "kdegames" collection of KDE 
applications.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package sokoban
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - ksokoban
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
%description sokoban
This is  the game "Sokoban" from the "kdegames" collection of KDE 
applications.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package sirtet
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - ksirtet
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
%description sirtet
This package contains "sirtet" from the "kdegames" 
collection of KDE applications.  It is a game similar to Tetris(tm).

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%package smiletris
Obsoletes: kdegames 
Summary: K Desktop Environment - Games - ksmiletris
Group: X11/KDE/Games
Copyright: GPL
Prefix: %{kdeprefix}
%description smiletris
This package contains "ksmiletris" from the "kdegames" collection of
KDE applications.  It is a game similar to Tetris(tm).

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}

%build
export KDEDIR=%{kdeprefix}
CC=%{compiler} ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT
make 

%install

cd $RPM_BUILD_DIR/%{topdir}/po
rm -rf $RPM_BUILD_ROOT/*
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
rm -rf $RPM_BUILD_DIR/%{kdename}-po
mkdir $RPM_BUILD_DIR/%{kdename}-po
cp -a $RPM_BUILD_ROOT/* $RPM_BUILD_DIR/%{kdename}-po

for subdir in %{subdirs} ; do
	rm -rf $RPM_BUILD_ROOT/*
	cd $RPM_BUILD_DIR/%{kdename}-po
        find . -name "$subdir*" | cpio -dpv $RPM_BUILD_ROOT       
        find $RPM_BUILD_ROOT -type d -exec chmod 0755 {} ';'      
	cd $RPM_BUILD_DIR/%{topdir}/$subdir
	make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip
	cd $RPM_BUILD_ROOT
	tar -cvf $RPM_BUILD_DIR/$subdir.tar .%{kdeprefix}
done

cd $RPM_BUILD_ROOT
for package in %{packages} ; do
	rm -rf $RPM_BUILD_ROOT/*
        pkgdirs=""
	if   [ "$package" = "asteroids" ] ; then pkgdirs="%{asteroids}"
	elif [ "$package" = "boardgames" ] ; then pkgdirs="%{boardgames}"
	elif [ "$package" = "cardgames" ] ; then pkgdirs="%{cardgames}"
	elif [ "$package" = "dominogames" ] ; then pkgdirs="%{dominogames}"
	elif [ "$package" = "konquest" ] ; then pkgdirs="%{konquest}"
	elif [ "$package" = "snakerace" ] ; then pkgdirs="%{snakerace}"
	elif [ "$package" = "sokoban" ] ; then pkgdirs="%{sokoban}"
	elif [ "$package" = "sirtet" ] ; then pkgdirs="%{sirtet}"
	elif [ "$package" = "smiletris" ] ; then pkgdirs="%{smiletris}"
	fi
	for subdir in $pkgdirs ; do
		tar -xvf $RPM_BUILD_DIR/$subdir.tar
		rm $RPM_BUILD_DIR/$subdir.tar
	done
	tar -cvf $RPM_BUILD_DIR/$package.pkg.tar .
	find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
		-e '/\/config\//s|^|%config|' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package

	find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
		$RPM_BUILD_DIR/file.list.%{kdename}.$package
done

cd $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/*
for package in %{packages} ; do
	tar -xvf $RPM_BUILD_DIR/$package.pkg.tar
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{kdename}-po
for package in %{packages} ; do
	rm -f $RPM_BUILD_DIR/file.list.%{kdename}.$package
	rm -f $RPM_BUILD_DIR/$package.pkg.tar
done

%files asteroids -f ../file.list.%{kdename}.asteroids
%files boardgames -f ../file.list.%{kdename}.boardgames
%files cardgames -f ../file.list.%{kdename}.cardgames
%files dominogames -f ../file.list.%{kdename}.dominogames
%files konquest -f ../file.list.%{kdename}.konquest
%files snakerace -f ../file.list.%{kdename}.snakerace
%files sokoban -f ../file.list.%{kdename}.sokoban
%files sirtet -f ../file.list.%{kdename}.sirtet
%files smiletris -f ../file.list.%{kdename}.smiletris

%changelog
* Sat Apr 18 1999 <duncan@kde.org>
- updated for KDE-1.1.1

* Sat Feb 13 1999 <duncan@kde.org>
- files in KDEDIR/share/applnk no longer treated as %config files
- fix bad /opt/kde directory permissions bug 

* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms
- individual apps in subpackages



